Package org.codehaus.commons.compiler.java9.java.lang.module

# Class ModuleFinder

java.lang.Object
org.codehaus.commons.compiler.java9.java.lang.module.ModuleFinder

public final class ModuleFinder extends Object
Pre-Java-9-compatible facade for Java 9's `java.lang.module.ModuleFinder` class.

## Method Summary

Modifier and Type
Method
Description
`Set<ModuleReference>`
`findAll()`
`static ModuleFinder`
`ofSystem()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### ofSystem

public static ModuleFinder ofSystem()

### findAll

public Set<ModuleReference> findAll()